/*****************************************************************************
 *
 * DictD++, Copyright (C) 2002-2003 by Alexander Tsvyashchenko
 * contact address: <spam@ndl.kiev.ua>
 *
 * short license info is below, but it concerns only program itself -
 * you should see copyrights.txt for algorithms licenses info!
 *
 *****************************************************************************

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

******************************************************************************/

#ifndef FAKE_CONTROLLER_H
#define FAKE_CONTROLLER_H

#include "abstract_controller.h"
//------------------------------------------------------------------------------
// This is a dummy implementation of controller class
// that allows everything: useful for testing.
//
class FakeController: public AbstractController
  {
  virtual void StartMatch() {}

  virtual void StartDefine() {}

  virtual void OneMoreMatch() {}

  virtual void OneMoreDefine() {}

  virtual bool IsMatchAllowed() { return true; }

  virtual bool IsDefineAllowed() { return true; }

  virtual bool WasMatchInterrupted() { return false; }

  virtual bool WasDefineInterrupted() { return false; }
  };
//------------------------------------------------------------------------------

#endif // FAKE_CONTROLLER_H

